﻿@model IEnumerable<Mvc.Models.Cars>

@{
    ViewData["Title"] = "Index";
}

@using (Html.BeginForm())
{
    <p style="text-align:left;position:fixed">
        <input class="form-control" type="text" name="Search" placeholder="Search" aria-label="Search" style="width:250px" autocomplete="off" />
    </p>
    <p style="text-align:right">
        <a asp-action="Create" class="btn btn-success">Create New</a>
    </p>

}
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.CarModel)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Brand)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ReleaseDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Price)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.CarModel)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Brand)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ReleaseDate)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                    <a asp-action="Details" asp-route-id="@item.Id">Details</a> |
                    <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>
